Subject: Re: Using glib(c) and gtk+ in Cygwin
From: Todd Goodman <[email-masked]>
To: Jonas Jensen <[email-masked]>
Cc: Todd Goodman <[email-masked]>, Cygwin list <[email-masked]>
Date: Tue, 27 Jun 2000 16:37:07 -0400

* Jonas Jensen <[email-masked]> [000627 16:30]:
> Thanks for helping, but it still doesn't work properly...
> 
> > You need to tell it not to use threading (or get the pthread lib from
> > http://sourceware.cygnus.com).  I think the configure command to disable
> > threading is --enable-thread=no (try ./configure --help).
> I tried disabling it, and now glib compiles... but it doesn't seem to work right,
> because I can't compile gtk+. When I run ./configure on gtk+, it says:

Did you install glib?  It's looking for a script (glib-config) that is
in your PATH and when run with --version prints the latest version.

If you type 'glib-config --version' do you get a version number?  Is it
>= 1.2.8?

You have a pretty new version of GTK+.  I have only built glib and
GTK 1.2.7.

> 
> >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
> checking for GLIB - version >= 1.2.8... no
> *** Could not run GLIB test program, checking why...
> *** The test program failed to compile or link. See the file config.log for the
> *** exact error that occured. This usually means GLIB was incorrectly installed
> *** or that you have moved GLIB since it was installed. In the latter case, you
> *** may want to edit the glib-config script: /usr/local/bin/glib-config
> configure: error:
> *** GLIB 1.2.8 or better is required. The latest version of GLIB
> *** is always available from ftp://ftp.gtk.org/.
> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
> 
> I went looking for the "pthread" lib, but I only found a Win32 version. Is that
> the one I'm supposed to use? It comes with a .lib file and a few .h files... what
> do I do with those? Or do I need another version of that lib?

I'd recommend *not* using pthreads at all (or at least until the above
problems are cleared up).

Regards,

Todd

--
Want to unsubscribe from this list?
Send a message to [email-masked]